YepAPI
On-Page & Lighthouse

Content Parsing

Extract and analyze page content — text, structure, and readability scores.

POST/v1/seo/onpage/content
$0.03/call

Usage

const res = await fetch('https://api.yepapi.com/v1/seo/onpage/content', {
  method: 'POST',
  headers: {
    'x-api-key': 'YOUR_API_KEY',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({
    "url": "https://vercel.com/blog/next-15"
  }),
});
const { data } = await res.json();
console.log(data);
curl -X POST https://api.yepapi.com/v1/seo/onpage/content \
  -H "x-api-key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"url":"https://vercel.com/blog/next-15"}'

Request Body

ParameterTypeRequiredDescriptionDefault
urlstringYesFull URL to parse

Response

{
  "ok": true,
  "data": {
    "content": [
      {
        "url": "https://vercel.com/blog/next-15",
        "title": "Introducing Next.js 15",
        "description": "Next.js 15 brings...",
        "wordCount": 3200,
        "automatedReadabilityIndex": 12.5,
        "colemanLiauIndex": 11.8,
        "fleschReadingEase": 52.3
      }
    ]
  }
}

Response Fields

FieldTypeDescription
okbooleanWhether the request succeeded
data.contentarrayList of parsed content items
data.content[].urlstringThe URL that was parsed
data.content[].titlestringPage title extracted from the document
data.content[].descriptionstringMeta description of the page
data.content[].wordCountnumberTotal word count of the page content
data.content[].automatedReadabilityIndexnumberAutomated Readability Index score (grade level needed to understand)
data.content[].colemanLiauIndexnumberColeman-Liau readability index (grade level estimate)
data.content[].fleschReadingEasenumberFlesch Reading Ease score (higher = easier to read, 0-100)
Under the Hood

Extracts clean text content and computes readability metrics.

On this page